/* Grundkonfiguration */

ENTRY(Reset_Handler)

/* Speicherbereiche des Controllers */
MEMORY {
	FLASH		: ORIGIN = 0x8000000,	LENGTH = 128K
}

_estack = 0x20005000;

SECTIONS {
	/* Der eigentliche Programmcode & Konstanten */
	.Text : {
		/* Der Interrupt-Vektor muss zuerst in den Programmspeicher */
		KEEP (*(.isr_vector))
		
		. = ALIGN(4);
		*(.text)			/* Programmcode */
		*(.text*)
		
		. = ALIGN(4);
	} >FLASH
}
